## kscreen 6.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(KScreen)
set(PROJECT_VERSION "6.6.1")
set(KSCREEN_VERSION ${PROJECT_VERSION})

add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")

set(PROJECT_DEP_VERSION "6.6.1")
set(QT_MIN_VERSION "6.10.0")
set(KF6_MIN_VERSION "6.22.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Test QuickControls2)
if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    DBusAddons
    I18n
    KCMUtils
    Svg
    XmlGui
    Crash
)
find_package(KF6ImageFormats ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6ImageFormats PROPERTIES
    DESCRIPTION "Provides support for more image formats in Qt"
    PURPOSE "Required to load the HDR test image"
    TYPE RUNTIME
)

find_package(KF6Screen ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)

find_package(LayerShellQt)
set_package_properties(LayerShellQt PROPERTIES
    DESCRIPTION "Layer shell Qt bindings"
    URL "https://invent.kde.org/plasma/layer-shell-qt"
    PURPOSE "Required for the screen selection osd"
    TYPE REQUIRED
)

find_package(Qt6WaylandClient COMPONENTS Private)
find_package(WaylandProtocols 1.41)
set_package_properties(WaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Wayland protocols that add functionality not available in the Wayland core protocol"
    URL "https://gitlab.freedesktop.org/wayland/wayland-protocols/"
)

option(WITH_X11 "Enable X11 support" ON)

if(WITH_X11)
    find_package(X11)
    set_package_properties(X11 PROPERTIES
        DESCRIPTION "X11 libraries"
        URL "https://www.x.org"
        PURPOSE "Required for touchscreen XInput mapping to internal display"
        TYPE REQUIRED
    )
    find_package(X11_XCB REQUIRED)
    find_package(XCB REQUIRED COMPONENTS XCB ATOM)
endif()

configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.12.0
)

add_subdirectory(common)
add_subdirectory(kcm)
add_subdirectory(kded)
add_subdirectory(osd)
add_subdirectory(plasmoid)
add_subdirectory(tests)
add_subdirectory(console)
add_subdirectory(hdrcalibrator)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(EXPORT KSCREEN FILE kscreen.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kscreen (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:13:34 +0000

=== debian/control ===
Source: kscreen
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libkf6config-dev (>= 6.22.0~),
               libkf6crash-dev (>= 6.22.0~),
               libkf6dbusaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6kcmutils-dev (>= 6.22.0~),
               libkf6svg-dev (>= 6.22.0~),
               libkf6xmlgui-dev (>= 6.22.0~),
               libkscreen-dev (>= 4:6.6.1~),
               liblayershellqtinterface-dev (>= 6.6.1~),
               libplasma-dev (>= 6.6.1~),
               libx11-xcb-dev,
               libxcb-util-dev,
               libxcb1-dev,
               libxi-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.10.0~),
               qt6-base-private-dev (>= 6.10.0+dfsg~),
               qt6-sensors-dev (>= 6.10.0~),
               wayland-protocols (>= 1.41~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kscreen
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreen
Rules-Requires-Root: no

Package: kscreen
Architecture: any
Depends: kde-cli-tools (>= 4:6.2.90~),
         plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings, upower,
Description: KDE monitor hotplug and screen handling
 KScreen provides multiple monitor support.  This support tries to be
 as smart as possible adapting the behavior of it to each use case
 making the configuration of monitors as simple as plugging them into
 your computer.
 .
 This package contains the modules and plugins for monitor hotplug and
 automatic screen handling.

## kscreen 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(KScreen)
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 set(KSCREEN_VERSION ${PROJECT_VERSION})
 
 add_definitions("-DKSCREEN_VERSION=\"${KSCREEN_VERSION}\"")
 
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== hdrcalibrator/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"hdrcalibrator\")
qt_policy(SET QTP0001 NEW)

add_executable(hdrcalibrator)
qt_add_qml_module(hdrcalibrator
    URI org.kde.hdrcalibrator
    QML_FILES
        ui/Main.qml
    RESOURCES
        ui/images/graz.avif
        ui/images/plasma-symbolic.svg
    DEPENDENCIES
        QtQuick
)

qt6_generate_wayland_protocol_client_sources(hdrcalibrator
    FILES ${WaylandProtocols_DATADIR}/staging/color-management/color-management-v1.xml
)

target_sources(hdrcalibrator PUBLIC
    hdrcalibrator.cpp
    hdrhelper.cpp
)

target_link_libraries(hdrcalibrator PUBLIC
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::Crash
    KF6::I18n
    KF6::I18nQml
    KF6::Screen
    Qt::WaylandClient
    Qt::GuiPrivate
    Qt::QuickControls2
    Qt::DBus
)
target_include_directories(hdrcalibrator PUBLIC ${CMAKE_BINARY_DIR})

ecm_qt_declare_logging_category(hdrcalibrator
    HEADER
        hdrcalibrator_debug.h
    IDENTIFIER
        HDRCALIBRATOR
    CATEGORY_NAME
        hdrcalibrator
     DESCRIPTION "hdr calibrator" EXPORT KSCREEN
)

install(TARGETS hdrcalibrator ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kscreen (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:21:58 +0000

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
                libkf6kcmutils-dev (>= 6.22.0~),
                libkf6svg-dev (>= 6.22.0~),
                libkf6xmlgui-dev (>= 6.22.0~),
-               libkscreen-dev (>= 4:6.6.1~),
-               liblayershellqtinterface-dev (>= 6.6.1~),
-               libplasma-dev (>= 6.6.1~),
+               libkscreen-dev (>= 4:6.6.2~),
+               liblayershellqtinterface-dev (>= 6.6.2~),
+               libplasma-dev (>= 6.6.2~),
                libx11-xcb-dev,
                libxcb-util-dev,
                libxcb1-dev,
